View Issue Details

IDProjectCategoryView StatusLast Update
0016671LazarusIDEpublic2011-12-01 11:25
ReporterGraeme GeldenhuysAssigned ToMattias Gaertner 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSUbuntu LinuxOS Version10.04
Product Version0.9.29 (SVN)Product Buildr25874 
Target Version0.9.30Fixed in Version 
Summary0016671: FPDOC Editor looses description data on error
DescriptionI was typing a long description of a property and used the BR tag to set a linefeed, and continued entering more description text. I then clicked on the next property in the Source Code Editor to edit a new property. FPDOC Editor popped up with an error, saying the BR was incorrect and does not have a closing tag. The FPDOC Editor then tried to be clear by inserting its own BR closing tag. In the process it deleted most of my long description text. :-(
TagsNo tags attached.
Fixed in Revision28526
LazTarget0.9.30
Widgetset
Attached Files

Activities

Mattias Gaertner

2010-06-08 13:24

manager   ~0038387

Last edited: 2010-06-08 13:27

I tried this:
One< br >
Two

On save it showed the error that the closing tag is missing. It saved nevertheless. On next load it added the closing br.
I guess the best solution would be to show the unclosed tags while typing. Maybe a synedit with a xml highlighter is better than a memo.

Graeme Geldenhuys

2010-06-08 14:02

reporter   ~0038389

Last edited: 2010-06-08 14:04

Enter the following as long description for a class property. Then change source code cursor to a new property. The whole third paragraph gets deleted. I can reproduce this every time.

I placed spaces in the tags so it doesn't do formatting in Mantis.

--------------------
< p >Paragraph one< /p >
< p >< b >Note< /b >< br >
Paragraph two goes here.
< /p >
< p >Paragraph three goes here.< /p >
--------------------

Issue History

Date Modified Username Field Change
2010-06-08 11:54 Graeme Geldenhuys New Issue
2010-06-08 13:20 Mattias Gaertner Status new => assigned
2010-06-08 13:20 Mattias Gaertner Assigned To => Mattias Gaertner
2010-06-08 13:24 Mattias Gaertner Note Added: 0038387
2010-06-08 13:27 Mattias Gaertner Note Edited: 0038387
2010-06-08 14:02 Graeme Geldenhuys Note Added: 0038389
2010-06-08 14:03 Graeme Geldenhuys Note Edited: 0038389
2010-06-08 14:04 Graeme Geldenhuys Note Edited: 0038389
2010-06-08 14:04 Graeme Geldenhuys Note Edited: 0038389
2010-07-08 17:30 Mattias Gaertner LazTarget => 0.9.30
2010-11-26 10:28 Vincent Snijders Target Version => 0.9.30
2010-11-28 13:51 Mattias Gaertner Fixed in Revision => 28526
2010-11-28 13:51 Mattias Gaertner Status assigned => resolved
2010-11-28 13:51 Mattias Gaertner Resolution open => fixed
2011-12-01 11:25 Marc Weustink Status resolved => closed